/* Copyright (c) 2012 Research In Motion Limited.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import bb.cascades 1.0

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
Page {

    
    Container {
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }

            Container {
                topPadding: 10
                bottomPadding: topPadding
                leftPadding: 10
                rightPadding: leftPadding
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("<b>Call Notes</b> is an application that saves phone call information to the Calendar application as an appointment.\n\nCall Notes is an ideally application to keep track of your Phone Calls.  You can sync your Call Notes to your desktop or corporate Calendar with your sync software. <b>Call Notes does not sync your Calendar.</b>") + Retranslate.onLanguageChanged
                } // Label

                Label {
                multiline: true
                textFormat: TextFormat.Html
                text: qsTr("<b>Add a Call Note</b>\n\nDue to the unavailability of the PhoneCall APIs it is not possible to capture the caller's phone number until OS10.3.  Therefore when you enter a new call note you will need to fill the phone number and the caller's name manually.\n\nHowever, the workaround is to run the <b>Phone</b> application or goto the HUB and select <b>Calls</b>.  Touch and hold on the first call log item and then select the Copy Number menu item from the menu.\nNow switch back to Call Notes application and select the Paste icon next the Phone number field.\n\n<b>When BlackBerry releases the Phone APIs we will update Call Notes and you will receive the update free of charge.</b>") + Retranslate.onLanguageChanged
                    visible: false
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text : qsTr("There are two ways that you can add a call note.\n\n<b>1. After every phone call</b>\n\n\nEverytime you end the phone call you will see a Instant Preview message.  Select the message to add a call note.  You can then decide to add or cancel.  You can control this option on the main screen in Call Notes.\n\nImportant:  Make sure the <b>Instant Previews</b> setting is turned on in the Settings application, Notifications, Applications, Call Notes screen.\n\n<b>2. Manual</b>\n\nThe second method is manually select the Add Note button in Call Notes or open the Hub notification message.  This will open the New Call Note screen.  You can then fill in the data and save it to the Calendar.\nThe only difference here is that the phone call duration is not set in the Notes field.") + Retranslate.onLanguageChanged
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text : qsTr("<b>Application Permission</b>\n\nIf you had denied Application Permissions for Call Notes then it will not work properly.  To set the permsissions run the Settings application, select Security and Privacy, select Application Permissions and select Call Notes and set all to allow.") + Retranslate.onLanguageChanged
                }

            } // Container

        } // RecipeContainer
    }

    actions: [

        ActionItem {
            title: qsTr("More Apps") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_moreapps.png"
            onTriggered: {
                invokeappworld.trigger("bb.action.OPEN")
            }
        },

        ActionItem {
            title: qsTr("Add Review") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_review.png"
            onTriggered: {
                addreview.trigger("bb.action.OPEN")
            }
        },

        ActionItem {
            title: qsTr("Invite") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_bbm.png"

            onTriggered: {
                _mainApp.invitedownload()
            }
        }

    ]

    attachedObjects: [
        TextStyleDefinition {
            id: tsd
            base: SystemDefaults.TextStyles.BodyText
            fontWeight: FontWeight.Bold
            fontSize: FontSize.Large

        },

/*
 Invocation {
 
 id: invokeReview
 
 
 
 query.mimeType: "application/x-bb-appworld"
 
 query.uri: "appworld://content/9081"
 
 
 
 },
 */

        Invocation {
            id: invokewebsite
            query.mimeType: "text/html"
            query.uri: "http://www.toysoft.ca/"
            query.invokeActionId: "bb.action.OPEN"
        },

        Invocation {
            id: invokeappworld
            query.mimeType: "application/x-bb-appworld"
                query.uri: "appworld://vendor/184"
                query.invokeActionId: "bb.action.OPEN"
        },

        Invocation {
            id: addreview
            query.mimeType: "application/x-bb-appworld"
                query.uri: "appworld://content/33436887"
                query.invokeActionId: "bb.action.OPEN"
        }

    ]
    titleBar: TitleBar {
        title: qsTr("Help") + Retranslate.onLanguageChanged

    }

}// RecipePage