import bb.cascades 1.0

Sheet {

    Page {
        id: sheetModify

        titleBar: TitleBar {
            id: addBar
            title: qsTr("New Call Note") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible

            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    _mainApp.cancelNewCallNote()
                }
            }

            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged
                onTriggered: {
                    _mainApp.saveNewCallNote()
                }
            }
        } // titleBar

        actions: [
            ActionItem {
                id: addfield
                title: qsTr("Contact Lookup") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_lookup.png"
                onTriggered: {
                    _mainApp.selectedContact()
                }
            }
        ]

        ScrollView {

            Container {
                layout: DockLayout {
                }
                leftPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                bottomPadding: 10.0

                Container {
                    layout: StackLayout {
                    }

                    Container {
/*                        Container {
                            layout: DockLayout {
                            }

                            Label {
                                text: "Caller Information"
                                textStyle.fontWeight: FontWeight.Bold
                                textStyle.fontSize: FontSize.Small
                            }
                            ImageView {
                                imageSource: "asset:///images/blue_bar.png"
                                verticalAlignment: VerticalAlignment.Bottom
                            }
                        }
*/
                        DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Calendar") + Retranslate.onLanguageChanged
                            objectName: "calendar_type"
                            onSelectedValueChanged: {
                                _mainApp.setCallNoteValues(selectedValue.accountId, selectedValue.folderId, selectedIndex);
                            }

                        }

                        
                        Container {
                            topPadding: 10.0

                            Container {
                            layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }

	                        TextField {
//	                            text: "Name:"
                                hintText: qsTr("Enter caller name") + Retranslate.onLanguageChanged
                                    objectName: "name"
                                }
	                        ImageButton
	                        {
                                    defaultImageSource: "asset:///images/ic_paste.png"
                                    objectName: "paste_name"
                                    onClicked: {
                                        _mainApp.pasteClipboard(0)
                                    }
                                    visible: false

                                }                        
                        }
                    }

                    Container {
                        topPadding: 10.0

                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }

                            TextField {
//                                text: "Phone:"
                                hintText: qsTr("Enter phone number") + Retranslate.onLanguageChanged
                                    objectName: "phone"
                                    inputMode: TextFieldInputMode.PhoneNumber
                                }
                            ImageButton {
                                defaultImageSource: "asset:///images/ic_paste.png"
                                    objectName: "paste_phone"
                                    onClicked: {
                                        _mainApp.pasteClipboard(1)
                                    }
                                    visible: false

                                }
                        }
                    }

                    TextField {
                        text: qsTr("Duration:") + Retranslate.onLanguageChanged
                        enabled: false
                            objectName: "duration"
                            visible: false
                        }
/*
                    DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: "Sensitivity"
                            objectName: "sensitivity"
                            Option {
                                text: "Normal"
                            }
                            Option {
                                text: "Personal"
                            }
                            Option {
                                text: "Private"
                            }
                            Option {
                                text: "Confidential "
                            }
                        }
*/
                    DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Busy Status") + Retranslate.onLanguageChanged
                            objectName: "busystate"
                            Option {
                                text: qsTr("Free") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("Tentative") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("Busy") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("Out Of Office") + Retranslate.onLanguageChanged
                            }
/*                            Option {
                                text: "Other"
                            }
 */                       }
                    DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Reminder") + Retranslate.onLanguageChanged
                            objectName: "reminder"
                            Option {
                                text: qsTr("No Reminder") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("At Start") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("5 Minutes") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("10 Minutes") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("15 Minutes") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("30 Minutes") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("45 Minutes") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("1 Hour") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("2 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("3 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("4 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("5 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("6 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("7 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text:qsTr( "8 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("9 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("10 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("11 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("12 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text:qsTr( "18 Hours") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("1 Day") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("2 Days") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("3 Days") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("1 Week") + Retranslate.onLanguageChanged
                            }
                            Option {
                                text: qsTr("2 Weeks") + Retranslate.onLanguageChanged
                            }
                        }
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Private") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            CheckBox {
                                objectName: "cb_private"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Divider {
                        
                        }

                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Save to Calendar") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            CheckBox {
                                objectName: "cb_save_calendar"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Divider {
                        
                        }

                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Save to Remember") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            CheckBox {
                                objectName: "cb_save_remember"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }

                        Divider {

                        }
                        Header {
                            title: qsTr("Call Note")
                        }
                        TextArea {
                            objectName: "notes"
                            hintText: qsTr("Enter call note") + Retranslate.onLanguageChanged

                        }
                  
                    }

                }
            }

        }

    }
}
