import bb.cascades 1.0
import bb.system 1.0

Page {

    titleBar: TitleBar {
        title: qsTr("SMS Filters") + Retranslate.onLanguageChanged

    }

    actions: [

        ActionItem {
            title: qsTr("New Filter") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_add.png"
            onTriggered: {
                _mainApp.addNewFilter(0, false)
            }
        },
        
        ActionItem {
            title: qsTr("Help") + Retranslate.onLanguageChanged
//            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_help.png"
            onTriggered: {
                myQmlDialog.show()
            }
        },

        DeleteActionItem {
            title: qsTr("Delete All") + Retranslate.onLanguageChanged
            onTriggered: {
                _mainApp.addNewFilter(88, false)
            }
        }
        

    ]

    Container {

        layout: DockLayout {
        }
        //        background: Color.Black

        // list browser
        Container {
            id: browse_container
            horizontalAlignment: HorizontalAlignment.Fill

            ListView {
                id: listView

                property variant itemTextStyle: defaultBlackTextStyle

                dataModel: _mainApp.model

                listItemComponents: ListItemComponent {
                    type: "item"

                    Container {
                        id: itemRoot

                        layout: DockLayout {
                        }

                        contextActions: [
                            ActionSet {
                                title: qsTr("Select Action") + Retranslate.onLanguageChanged
                                DeleteActionItem {
                                    title: qsTr("Delete") + Retranslate.onLanguageChanged
//                                    imageSource: "asset:///images/icon_delete.png"
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(0, ListItemData.title, ListItemData.index);
                                    }
                                }

                                ActionItem {
                                    title: qsTr("Edit") + Retranslate.onLanguageChanged
                                    imageSource: "asset:///images/ic_edit.png"
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(1, ListItemData.title, ListItemData.index);
                                    }
                                }

                            }
                        ]

                        // Item background image.
                        ImageView {
                            id: imgItemBackground
                            imageSource: "asset:///images/white_photo.png"
                            preferredWidth: 1280
                            preferredHeight: 90
                        }

                        Container {
                            id: highlightContainer
                            background: Color.create("#75b5d3")
                            //						            opacity: 0.0
                            opacity: itemRoot.ListItem.active ? 0.9 : 0.0
                            preferredWidth: 1280
                            preferredHeight: 90
                            horizontalAlignment: HorizontalAlignment.Center
                        }

                        // The Item content an image and a text
                        Container {
                            leftPadding: 3
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Center

                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            /*
                             * ImageView {
                             * preferredWidth: 114
                             * preferredHeight: 114
                             * verticalAlignment: VerticalAlignment.Center
                             * 
                             * // The image is bound to the data in models/recipemodel.xml image attribute.
                             * imageSource: ListItemData.image
                             * }
                             */
                            Container {
                                layout: DockLayout {
//                                    orientation: LayoutOrientation.TopToBottom
                                }
                                verticalAlignment: VerticalAlignment.Center
 //                               horizontalAlignment: HorizontalAlignment.Left
                                Label {
                                    // The title is bound to the data in models/recipemodel.xml title attribute.
                                    text: ListItemData.title
                                    leftMargin: 1
                                    topMargin: 20
                                    verticalAlignment: VerticalAlignment.Center
                                    textStyle.fontSize: FontSize.Large
                                    //                                    multiline: true
                                } // Label
                            } // text container

                        } // Container

                    } // Container
                }

                onTriggered: {
                    clearSelection()
                    select(indexPath)
                    _mainApp.editFilter(indexPath, 0)
                }

                // context menu
                function myAction(type, title, index) {
                    _mainApp.processAction(type, title, index);
                }

                objectName: "RecordingsList"
            } // listview
        }


    }

    attachedObjects: [

        SystemDialog {
	        id: myQmlDialog
	        cancelButton.label: undefined
            title: qsTr("SMS Filter") + Retranslate.onLanguageChanged
            body: qsTr("SMS Filters let you filter out text messages that you do not want to save to the Calendar.\n\nSelect the New Filter button to add new filter.\n\nTo edit a filter select the filter on the screen.\n\nTo delete a filter do a long press on the filter on the screen and then select the Delete icon.\n\nWhen entering the phone number you can use the * wildcard such as 1800* where all numbers starting with 1800 will not be saved or *1234567 where all numbers ending in 1234567 will not be saved.") + Retranslate.onLanguageChanged        
	    }
	]
}// page
