// Tabbed Pane project template
import bb.cascades 1.0

//! [0]
NavigationPane {
    id: navigationPane

    Page {
        titleBar: TitleBar {
            title: "Call Notes"

        }

        actions: [

            ActionItem {
                title: qsTr("Add Note") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _mainApp.openNewCallNote(1)
                }
            }
            
/*            ,
            
            
            
            ActionItem {
                title: qsTr("Text Filters") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_textmessage.png"
                onTriggered: {
                    _mainApp.openTextFilterScreen()
                }
            }


	        ActionItem {
                title: qsTr("Backup Database") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/ic_save.png"
                onTriggered: {
                    _mainApp.exportFilter(true);
                }
            },

            ActionItem {
                title: qsTr("Restore Database") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/ic_open.png"
                onTriggered: {
                    _mainApp.exportFilter(false);
                }
            }
*/
        ]

            ScrollView {

            Container {
                layout: StackLayout {
                }
                leftPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                bottomPadding: 10.0

                DropDown {
                    horizontalAlignment: HorizontalAlignment.Fill
                    title: qsTr("Calendar") + Retranslate.onLanguageChanged
                    objectName: "calendar_type"
                    onSelectedValueChanged: {
                        _mainApp.setCallNoteValues(selectedValue.accountId, selectedValue.folderId, selectedIndex);
                    }

                }

                DropDown {
                    horizontalAlignment: HorizontalAlignment.Fill
                    title: qsTr("Prompt for Call Note") + Retranslate.onLanguageChanged
                    objectName: "promptforcallnote"
                    onSelectedValueChanged: {
                        _mainApp.saveMainForm(4)
                    }
                    Option {
                        text: qsTr("Always") + Retranslate.onLanguageChanged
                        description: qsTr("Ask for Call Note after every call.") + Retranslate.onLanguageChanged
                    }
                    Option {
                        text: qsTr("30 Seconds") + Retranslate.onLanguageChanged
                        description: qsTr("Ask for Call Note only call longer than 30 seconds.") + Retranslate.onLanguageChanged
                    }

                    Option {
                        text: qsTr("1 Minute") + Retranslate.onLanguageChanged
                        description: qsTr("Ask for Call Note only call longer than 1 minute.") + Retranslate.onLanguageChanged
                    }
                    Option {
                        text: qsTr("Auto Save Calls") + Retranslate.onLanguageChanged
                        description: qsTr("Do not ask for a call note but save the calls.") + Retranslate.onLanguageChanged
                    }

                }
/*
                Label {
                    text: "Incoming Call Label"
                    textStyle.fontWeight: FontWeight.Bold

                }
*/
                Header {
                    title: qsTr("Incoming Call Label") + Retranslate.onLanguageChanged                    
                }
                
                TextField {
                    text: qsTr("Incoming") + Retranslate.onLanguageChanged
                    objectName: "incoming_label"
/*                    input.onSubmitted: {
                        _mainApp.saveMainForm(0)
                    }
  */                  onFocusedChanged: {
                        _mainApp.saveMainForm(0)
                    }
                }
/*                Label {
                    text: "Outgoing Call Label"
                    textStyle.fontWeight: FontWeight.Bold

                }
*/
                Header {
                    title: qsTr("Outgoing Call Label") + Retranslate.onLanguageChanged                    
                }
                
                TextField {
                    text: qsTr("Outgoing") + Retranslate.onLanguageChanged
                    objectName: "outgoing_label"
 /*                   input.onSubmitted: {
                        _mainApp.saveMainForm(1)
                    }
   */                 onFocusedChanged: {
                        _mainApp.saveMainForm(1)
                    }
                }

                Divider {
                    
                }

                Header {
                    title: qsTr("Logging")
                }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Incoming and Outgoing") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_phonecalls"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            _mainApp.saveMainForm(2)
                        }
                    }
                }
                Divider {
                
                }

                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Missed Calls") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_missedcalls"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            _mainApp.saveMainForm(10)
                        }
                    }
                }

                Divider {
                
                }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Log Text Messages") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_text"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            _mainApp.saveMainForm(3)
                        }
                    }
                }
                Label {
                    text: "Only supports English text messages."
                    textStyle.fontStyle: FontStyle.Italic
                    textStyle.fontSize: FontSize.Small
                    visible: false
                }
                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    visible: false
                    Label {
                        text: qsTr("Search for Contact Name") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_search_contact"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            _mainApp.saveMainForm(5)
                        }
                    }
                }
                Label {
                    text: qsTr("For performance reason you should disable 'Search for Contact Name' if you have large number of Contacts eg: 500") + Retranslate.onLanguageChanged
                    multiline: true
                    textStyle.fontStyle: FontStyle.Italic
                    textStyle.fontSize: FontSize.Small
                    visible: false
                }
                Divider {
                    
                }
                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    visible: false
                    Label {
                        text: qsTr("Log Missed Calls") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_missedcalls"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Save to Calendar") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_save_calendar"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            _mainApp.saveMainForm(10)
                        }
                    }
                }
                Divider {
                
                }
                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Save to Remember") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_save_remember"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            _mainApp.saveMainForm(10)
                        }
                    }
                }

                
            }
            
        } // scroll view
        

	} // page



} // pane